Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 960562 - [RFE]Suppport "edit-node --install-kmod *.rpm *.iso" for edit-node
Summary: [RFE]Suppport "edit-node --install-kmod *.rpm *.iso" for edit-node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On:
Blocks: 1123329 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-07 11:53 UTC by haiyang,dong
Modified: 2018-12-02 17:21 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 20:44:30 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0160 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update 2015-02-12 01:34:52 UTC

Description haiyang,dong 2013-05-07 11:53:39 UTC
Description of problem:
For upstream edit-node, it has already support "edit-node --install-kmod *.rpm *.iso" without repo file.

But for downstream edit-node, it still failed to support this case:
[root@dhcp-9-245 ~]# ls /mnt/rpms/x86_64/
kmod-tg3-3.122-2.el6_2.x86_64.rpm  repodata
[root@dhcp-9-245 ~]# edit-node --install-kmod /mnt/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm  rhevh-6.4-20130415.0.el6_4.iso
rhevh-6.4-20130415.0.el6_4.iso
An Editing Option Must Be Specified


Version-Release number of selected component (if applicable):
ovirt-node-tools-2.5.0-17.el6_4.4.noarch

How reproducible:
100% 
 
Steps to Reproduce:


Actual result:          
                                                  
Expect result:


Additional info:

Comment 5 Joey Boggs 2013-05-13 16:48:14 UTC
nevermind found the problem. You need to specify a repo.  Something accessible by yum ftp/http etc. Create a repo file something like:


[repo]
name=node updates
failovermethod=priority
baseurl=http://localhost/rpms
enabled=1
gpgcheck=0

Then create a yum repo that can be accessed under the doc root of the web server etc.

using you example above and changing it around:

python edit-node --install-kmod dd-tg3  --repo=example.repo /root/rhev-hypervisor6-6.4-20130415.0.iso

For driver disk you can set --repo as the iso file as well like I did in the comment before. Please retest and reopen this if needed otherwise not a bug

Comment 7 haiyang,dong 2013-05-14 02:33:06 UTC
1. Try this case "edit-node --install-kmod /mnt/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm  /usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso"
on upstream edit-node tool:
http://jenkins.ovirt.org/view/ovirt_node/job/ovirt-node-devel/2603/artifact/rpmbuild/RPMS/noarch/ovirt-node-tools-3.0.0-0.999.20130507211138git9cd7e24.fc18.noarch.rpm

[root@dhcp-11-127 ~]# edit-node --install-kmod /mnt/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm  /usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso
/usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso
Setting SELinux Permissive During Yum Install
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Running Yum Install
['kmod-tg3-3.122-2.el6_2.x86_64.rpm']
Setting up Local Package Process
Examining /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm: kmod-tg3-3.122-2.el6_2.x86_64
Marking /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm to be installed
Repository 'updates' is missing name in configuration, using id
Repository 'fedora' is missing name in configuration, using id
Resolving Dependencies
--> Running transaction check
---> Package kmod-tg3.x86_64 0:3.122-2.el6_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package     Arch      Version          Repository                         Size
================================================================================
Installing:
 kmod-tg3    x86_64    3.122-2.el6_2    /kmod-tg3-3.122-2.el6_2.x86_64    1.9 M

Transaction Summary
================================================================================
Install       1 Package(s)

Total size: 1.9 M
Installed size: 1.9 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altere
..........
 94.34% done, estimate finish Tue May 14 02:19:18 2013
Total translation table size: 2048
Total rockridge attributes bytes: 5253
Total directory bytes: 12288
Path table size(bytes): 64
Max brk space used 1b000
90114 extents written (176 MB)
Inserting md5sum into iso image...
md5 = 73a0b9d3c64b58439adff58fa809bbab
Inserting fragment md5sums into iso image...
fragmd5 = 02bc1c88fa5139291224efe1a497da6974be565f8b13e675317de58d5e7f
frags = 20
Setting supported flag to 0
Moving '/usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso.edited.iso' to '/usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.kmod-tg3.el6_4.iso'

so for upstream edit-node, install package "kmod-tg3-3.122-2.el6_2.x86_64.rpm" into rhevh-6.4-20130415.0.el6_4.iso success without setting repo file.


2.Try this case "edit-node --install-kmod /mnt/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm  /usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso"
on downstream edit-node tool:
ovirt-node-tools-2.5.0-17.el6_4.4.noarch


[root@dhcp-11-127 ~]# edit-node-backup --install-kmod /mnt/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm  /usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso
/usr/share/rhev-hypervisor/rhevh-6.4-20130415.0.el6_4.iso
An Editing Option Must Be Specified

it quit with info "An Editing Option Must Be Specified",so for downstream edit-node, it still failed to support this case.

Comment 11 haiyang,dong 2013-12-31 06:27:45 UTC
Test version:
rhevh-6.5-20131220.0
ovirt-node-3.0.1-13.el6_5.noarch

Test step:
[root@dhcp-11-127 home]# edit-node --install-kmod /mnt/mountpoint/rpms/x86_64/kmod-tg3-3.122-2.el6_2.x86_64.rpm rhevh-6.5-20131220.0.iso 
rhevh-6.5-20131220.0.iso
Setting SELinux Permissive During Yum Install
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Running Yum Install
['kmod-tg3-3.122-2.el6_2.x86_64.rpm']
Setting up Local Package Process
Examining /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm: kmod-tg3-3.122-2.el6_2.x86_64
Marking /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package kmod-tg3.x86_64 0:3.122-2.el6_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package     Arch      Version          Repository                         Size
================================================================================
Installing:
 kmod-tg3    x86_64    3.122-2.el6_2    /kmod-tg3-3.122-2.el6_2.x86_64    1.9 M

Transaction Summary
================================================================================
Install       1 Package(s)
...
fragmd5 = 8982384b56a6333d6473be54dd5826ec7dbd1eeb187a2956535dedbc9d46
frags = 20
Setting supported flag to 0
Moving 'rhevh-6.5-20131220.0.iso.edited.iso' to 'rhevh-6.5-20131220.kmod-tg3.0.iso'

Now edit-node tools support "edit-node --install-kmod *.rpm *.iso" without repo file.
So this bug has been fixed, after the status changed into "ON_QA", I will verify it.

Comment 12 haiyang,dong 2014-01-03 09:48:52 UTC
According to comment 11, change the status into "verified".

Comment 17 Ying Cui 2014-07-29 08:08:39 UTC
Change this bug to ON_QA, it is rhev 3.5 bugs, we need to verify this on rhevh 7.0+ovirt-node 3.1 build.

Comment 18 haiyang,dong 2014-10-11 05:56:20 UTC
Test version:
ovirt-node-tools-3.1.0-0.20.20141006gitc421e04.el6.noarch
ovirt-node-minimizer-3.1.0-0.20.20141006gitc421e04
rhevh-6.6-20141007.0.el6ev.iso

Test step:
[root@hp-z600-04 home]# edit-node --install-kmod tmprepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm  rhevh-6.6-20141007.0.el6ev.iso 
rhevh-6.6-20141007.0.el6ev.iso
Warning: the state of SELinux is disabled
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Running Yum Install
['kmod-tg3-3.122-2.el6_2.x86_64.rpm']
Setting up Local Package Process
Examining /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm: kmod-tg3-3.122-2.el6_2.x86_64
Marking /tmp/yumrepo/kmod-tg3-3.122-2.el6_2.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package kmod-tg3.x86_64 0:3.122-2.el6_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package     Arch      Version          Repository                         Size
================================================================================
Installing:
 kmod-tg3    x86_64    3.122-2.el6_2    /kmod-tg3-3.122-2.el6_2.x86_64    1.9 M

Transaction Summary
================================================================================
Install       1 Package(s)
...
fragmd5 = 4e7224ae5859344f7a17995b1a25a1fde65db34a9258bcf9c905455be6ff
frags = 20
Setting supported flag to 0
Moving 'rhevh-6.6-20141007.0.el6ev.iso.edited.iso' to 'rhevh-6.6-20141007.0.kmod-tg3.el6ev.iso'


Now edit-node tools support "edit-node --install-kmod *.rpm *.iso" without repo file.
So this bug has been fixed,change the status into "VERIFIED".

Comment 20 errata-xmlrpc 2015-02-11 20:44:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0160.html


Note You need to log in before you can comment on or make changes to this bug.